### File

`src/services/sdkconfig.service.ts`

### Index

###### Properties
commentsListTemplate commentsThemesMapping globalDataEmptyHtml globalDataEmptyMessage globalDisplayChartWhenDataEmpty globalDisplayChartWhenLoading globalLoaderHTML sharedModule
###### Methods
setCommentsListTemplate setCommentThemesMapping setGlobalDataEmptyHtml setGlobalDataEmptyMessage setGlobalDisplayChartWhenDataEmpty setGlobalDisplayChartWhenLoading setGlobalLoaderHTML setSharedModule

### Methods

setCommentsListTemplate
`setCommentsListTemplate(template: string)`
Parameters :
Name | Type | Optional
template | `string` | no
Returns : `void`

setCommentThemesMapping
`setCommentThemesMapping(mapping: Object)`
Quick workaround for Renault Qualif 7/11/17 Gives the mapping between presetfilters columns and comments themes ex: idStruc => region Parameters :
Name | Type | Optional
mapping | `Object` | no
Returns : `void`

setGlobalDataEmptyHtml
`setGlobalDataEmptyHtml(html: string)`
Parameters :
Name | Type | Optional
html | `string` | no
Returns : `void`

setGlobalDataEmptyMessage
`setGlobalDataEmptyMessage(message: string)`
Parameters :
Name | Type | Optional
message | `string` | no
Returns : `void`

setGlobalDisplayChartWhenDataEmpty
`setGlobalDisplayChartWhenDataEmpty(isDisplay: boolean)`
Parameters :
Name | Type | Optional
isDisplay | `boolean` | no
Returns : `void`

setGlobalDisplayChartWhenLoading
`setGlobalDisplayChartWhenLoading(isDisplay: boolean)`
Parameters :
Name | Type | Optional
isDisplay | `boolean` | no
Returns : `void`

setGlobalLoaderHTML
`setGlobalLoaderHTML(html: string)`
Parameters :
Name | Type | Optional
html | `string` | no
Returns : `void`

setSharedModule
`setSharedModule(module: any)`
Parameters :
Name | Type | Optional
module | `any` | no
Returns : `void`

### Properties

commentsListTemplate
`commentsListTemplate: `string``
Type : `string`
Default value : `null`

commentsThemesMapping
`commentsThemesMapping: `Object``
Type : `Object`
Default value : `null`

globalDataEmptyHtml
`globalDataEmptyHtml: `string``
Type : `string`

globalDataEmptyMessage
`globalDataEmptyMessage: `string``
Type : `string`
Default value : `''`

globalDisplayChartWhenDataEmpty
`globalDisplayChartWhenDataEmpty: `boolean``
Type : `boolean`
Default value : `false`

globalDisplayChartWhenLoading
`globalDisplayChartWhenLoading: `boolean``
Type : `boolean`
Default value : `false`

globalLoaderHTML
`globalLoaderHTML: `string``
Type : `string`
Default value : `''`

sharedModule
`sharedModule: `any``
Type : `any`
Default value : `null`

# results matching ""

# No results matching ""